Bug 1149568 - /etc/os-release should be a symlink to /usr/lib/os-release
Summary: /etc/os-release should be a symlink to /usr/lib/os-release
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: fedora-release
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dennis Gilmore
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1149569
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-10-06 05:52 UTC by Rahul Sundaram
Modified: 2015-02-10 17:03 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-10 17:03:35 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1182635 None None None Never

Internal Links: 1182635

Description Rahul Sundaram 2014-10-06 05:52:58 UTC
Description of problem:


According to the man page of os-release

 /usr/lib/os-release is the recommended place to store OS release
       information as part of vendor trees. Frequently, /etc/os-release is
       simply a symlink to /usr/lib/os-release, to provide compatibility with
       applications only looking at /etc.

If it is not a symlink, there is a risk that it will be out of sync.

Comment 1 Rahul Sundaram 2014-10-06 05:55:40 UTC
It should be a relative symlink according to 

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=755394

Comment 2 Dennis Gilmore 2014-10-06 20:33:07 UTC
sorry I do not see this as a bug

Comment 3 Zbigniew Jędrzejewski-Szmek 2014-10-07 12:39:41 UTC
The idea is to move os-release file to /usr, because it describes the installation in /usr. Putting in in /etc was a mistake, because it is not something configurable. So /etc/os-release is the legacy location, and /usr/lib/os-release is the canonical one now. Symlink needs to be provided for compatibility. I think that since fedora-relese provides the file, it should also provide the symlink.

Please reconsider moving the file to /usr/lib and providing a symlink /etc/os-release → ../usr/lib/os-release.

Comment 4 Zbigniew Jędrzejewski-Szmek 2014-10-07 13:14:43 UTC
We can also provide the symlink in the systemd package if you prefer. I don't think it makes much difference, except that both packages will have to be updated together when the move happens.

Comment 5 Zbigniew Jędrzejewski-Szmek 2015-01-31 17:05:18 UTC
There are two outstanding issues:
- this
- #1182635

It would be nice to resolve them in one update, but #1182635 should be updated with the details first.

Comment 6 Peter Robinson 2015-02-10 17:03:35 UTC
Committed upstream, will be in F-22/F-23 shortly once we've finished the branch


Note You need to log in before you can comment on or make changes to this bug.